#include <algorithm>
#include <cstdio>
#include <cstring>
+#include <cstdlib>
#include <limits>
#include <numeric>
#include <utility>
assert( free_top == 1 );
}
+binmap_t::~binmap_t () {
+ if (cells)
+ free(cells);
+}
+
void binmap_t::twist (uint64_t mask) {
while ( (1<<height) <= mask )
extend_range();
binmap_t(const binmap_t& b);
/** Destructor. */
- ~binmap_t() { if (cells) free(cells); }
+ ~binmap_t();
/** Get value for the bin. */
uint16_t get (bin64_t bin);
--- /dev/null
+#!/bin/bash
+
+HASH=66b9644bb01eaad09269354df00172c8a924773b
+HEAD=node300.das2.ewi.tudelft.nl
+
+sleep 1
+ulimit -c 1024000
+cd swift || exit 1
+rm -f chunk
+./exec/leecher $HASH chunk $HEAD:20000 0.0.0.0:10000 >lout 2>lerr || exit 2